import request from '@/utils/request'

// 查询规则维护列表
export function listRuleInfo(data) {
  return request({
    url: '/engine/ruleInfo/list',
    method: 'post',
    params: {pageNum:data.pageNum,pageSize:data.pageSize},
    data
  })
}

// 查询规则维护详细
export function getRuleInfo(id) {
  return request({
    url: '/engine/ruleInfo/' + id,
    method: 'get'
  })
}

// 新增规则维护
export function addRuleInfo(data) {
  return request({
    url: '/engine/ruleInfo',
    method: 'post',
    data: data
  })
}

// 修改规则维护
export function updateRuleInfo(data) {
  return request({
    url: '/engine/ruleInfo',
    method: 'put',
    data: data
  })
}

// 删除规则维护
export function delRuleInfo(id) {
  return request({
    url: '/engine/ruleInfo/' + id,
    method: 'delete'
  })
}
